<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:padding="16dp">

    <ScrollView
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:fillViewport="true">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/rectangle_border_draw"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="100dp"
                android:text="\n\nVISUALIZACIÓN Y ANÁLISIS DE COORDENADAS TOPOGRÁFICAS\n\n"
                android:gravity="center"
                android:textStyle="bold"
                android:background="@drawable/rectangle_border"
                android:padding="10dp"
                android:textColor="#FFFFFF"/> <!-- Ajusta el padding según sea necesario -->

            <EditText
                android:id="@+id/coordinateNumberInput"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="\nIngrese el número de deltas (3, 4 o 5)"
                android:text=""
                android:inputType="number" />


            <Button
                android:id="@+id/generateFieldsButton"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="Generar campos"
                android:textColor="#FFFFFF"
                android:backgroundTint="#B84747" />
            <Button
                android:id="@+id/importFieldsButton"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="Importar coordenadas"
                android:textColor="#FFFFFF"
                android:backgroundTint="#B84747"
                android:layout_marginTop="0dp" />
            <LinearLayout
                android:id="@+id/coordinatesContainer"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginTop="16dp" />
        </LinearLayout>
    </ScrollView>


    <com.cenanezm.TopoSmart.DrawView
        android:id="@+id/drawView"
        android:background="@drawable/rectangle_border_draw"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:layout_marginTop="16dp" />
    <Button
        android:id="@+id/polygonButton"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="Dibujar"
        android:textColor="#FFFFFF"

        android:backgroundTint="#B84747" />

    <Button
        android:id="@+id/captureButton"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="Exportar PDF"
        android:textColor="#FFFFFF"
        android:backgroundTint="#B84747"/>
</LinearLayout>
